This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 966271 - CVE-2013-2098 CVE-2013-2099 python: ssl.match_hostname() DoS via certificates with specially crafted hostname wildcard patterns [epel-6]
CVE-2013-2098 CVE-2013-2099 python: ssl.match_hostname() DoS via certificates...
Status: CLOSED NOTABUG
Product: Fedora EPEL
Classification: Fedora
Component: python-requests (Show other bugs)
el6
All Linux
low Severity low
: ---
: ---
Assigned To: Arun S A G
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-2099
  Show dependency treegraph
 
Reported: 2013-05-22 18:17 EDT by Vincent Danen
Modified: 2013-05-24 11:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 11:30:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-05-22 18:17:20 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-6 tracking bug for python-requests: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2013-05-22 18:17:29 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=963260,966271
Comment 2 Toshio Ernie Kuratomi 2013-05-24 11:30:05 EDT
The bundled version of the code was removed in February 2013.

https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0496/python-requests-1.1.0-3.el6

python-backports-ssl_match_hostname update patched for this bug  is currently in the testing repository: https://admin.fedoraproject.org/updates/python-backports-ssl_match_hostname

Note You need to log in before you can comment on or make changes to this bug.